org.apache.jmeter.visualizers.utils

## Class Colors

- java.lang.Object
- - org.apache.jmeter.visualizers.utils.Colors

-     public class Colors
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `DEFAULT_COLORS_PROPERTY_FILE`
    `static java.awt.Color` | `LIGHT_RED`
    `protected static java.lang.String` | `USER_DEFINED_COLORS_PROPERTY_FILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Colors()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.awt.Color>` | `getColors()` Parse icon set file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_COLORS_PROPERTY_FILE

          protected static final java.lang.String DEFAULT_COLORS_PROPERTY_FILE

      See Also:
        Constant Field Values

    - #### USER_DEFINED_COLORS_PROPERTY_FILE

          protected static final java.lang.String USER_DEFINED_COLORS_PROPERTY_FILE

      See Also:
        Constant Field Values

    - #### LIGHT_RED

          public static final java.awt.Color LIGHT_RED

  - ### Constructor Detail

    - #### Colors

          public Colors()

  - ### Method Detail

    - #### getColors

          public static java.util.List<java.awt.Color> getColors()

      Parse icon set file.
      Returns:
        List of icons/action definition

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.